package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFEU5Data {

    private Map<String, Object> params;
    
    public MWFEU5Data(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsUniPtSegKey() {
        return (Long) params.get("RS_UNI_PT_SEG_KEY");
    }

    public String rsSrcId() {
        return (String) params.get("RS_SRC_ID");
    }

    public String rsSrcSysId() {
        return (String) params.get("RS_SRC_SYS_ID");
    }

    public Long rsUniPtKey() {
        return (Long) params.get("RS_UNI_PT_KEY");
    }

    public String rsBusCode() {
        return (String) params.get("RS_BUS_CODE");
    }

    public String rsSegmCode() {
        return (String) params.get("RS_SEGM_CODE");
    }

    public String rsSegCode() {
        return (String) params.get("RS_SEG_CODE");
    }

    public java.util.Date rsSegDt() {
        return (java.util.Date) params.get("RS_SEG_DT");
    }

    public String rsNote() {
        return (String) params.get("RS_NOTE");
    }

    public String rsInsSso() {
        return (String) params.get("RS_INS_SSO");
    }

    public java.util.Date rsInsDt() {
        return (java.util.Date) params.get("RS_INS_DT");
    }

    public String rsUpdSso() {
        return (String) params.get("RS_UPD_SSO");
    }

    public java.util.Date rsUpdDt() {
        return (java.util.Date) params.get("RS_UPD_DT");
    }

    public String rsRsnTpCode() {
        return (String) params.get("RS_RSN_TP_CODE");
    }

    public java.util.Date rsExpireDate() {
        return (java.util.Date) params.get("RS_EXPIRE_DATE");
    }

    public String rsSrcEntity() {
        return (String) params.get("RS_SRC_ENTITY");
    }

    public String rsDelFlag() {
        return (String) params.get("RS_DEL_FLAG");
    }

    public String rsSrcRole() {
        return (String) params.get("RS_SRC_ROLE");
    }

    public String rsSrcRowId() {
        return (String) params.get("RS_SRC_ROW_ID");
    }

    public String rsDescr() {
        return (String) params.get("RS_DESCR");
    } 

}
